# eric6.Plugins.VcsPlugins.vcsGit.GitPullDialog

Module implementing a dialog to enter data for a Pull operation.

### Global Attributes

None

### Classes

GitPullDialog | Class implementing a dialog to enter data for a Pull operation.

### Functions

None

## GitPullDialog

Class implementing a dialog to enter data for a Pull operation.

### Derived from

QDialog, Ui_GitPullDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitPullDialog | Constructor
__okButtonEnable | Private slot to set the enabled state of the OK button.
__updateButtonEnable | Private slot to set the enabled state of the update button.
getData | Public method to get the entered data.
on_remoteEdit_textChanged | Private slot to handle changes of the URL edit.
on_remotesComboBox_currentTextChanged | Private slot to handle changes of the selected repository.
on_updateButton_clicked | Private slot to update the list of remote branches.

### Static Methods

None

#### GitPullDialog (Constructor)

GitPullDialog(vcs, repodir, parent=None)

Constructor

vcs
  reference to the git object
repodir
  directory name of the local repository (string)
parent
  reference to the parent widget (QWidget)

#### GitPullDialog.__okButtonEnable

__okButtonEnable()

Private slot to set the enabled state of the OK button.

#### GitPullDialog.__updateButtonEnable

__updateButtonEnable()

Private slot to set the enabled state of the update button.

#### GitPullDialog.getData

getData()

Public method to get the entered data.

Returns:
  tuple of remote name, remote url (for custom remotes), remote branches, a flag indicating to pull from all repositories and a flag indicating to remove obsolete tracking references (string, string, list of strings, boolean, boolean)

#### GitPullDialog.on_remoteEdit_textChanged

on_remoteEdit_textChanged(txt)

Private slot to handle changes of the URL edit.

txt
  current text of the URL edit (string)

#### GitPullDialog.on_remotesComboBox_currentTextChanged

on_remotesComboBox_currentTextChanged(txt)

Private slot to handle changes of the selected repository.

txt
  current text of the combo box (string)

#### GitPullDialog.on_updateButton_clicked

on_updateButton_clicked()

Private slot to update the list of remote branches.

Up